| Flutter Linux Embedder |

Classes | Functions
fl_windowing_handler.h File Reference
`#include <gtk/gtk.h>`
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_engine.h"`
`#include "flutter/shell/platform/linux/public/flutter_linux/fl_view.h"`

Go to the source code of this file.

## Classes
struct | _FlWindowingHandlerClass

## Functions
G_BEGIN_DECLS | G_DECLARE_DERIVABLE_TYPE (FlWindowingHandler, fl_windowing_handler, FL, WINDOWING_HANDLER, GObject)
FlWindowingHandler * | fl_windowing_handler_new (FlEngine *engine)

## Function Documentation

## ◆ fl_windowing_handler_new()

FlWindowingHandler* fl_windowing_handler_new | ( | FlEngine * | engine | ) |

FlWindowingHandler:

#FlWindowingHandler is a handler that implements the shell side of SystemChannels.windowing from the Flutter services library. fl_windowing_handler_new: @engine: an #FlEngine.

Creates a new handler that implements SystemChannels.windowing from the Flutter services library.

Returns: a new #FlWindowingHandler

Definition at line 260 of file fl_windowing_handler.cc.

260 {
261 g_return_val_if_fail(FL_IS_ENGINE(engine), nullptr);
262
263 FlWindowingHandler* self = FL_WINDOWING_HANDLER(
264 g_object_new(fl_windowing_handler_get_type(), nullptr));
265 FlWindowingHandlerPrivate* priv =
266 reinterpret_cast<FlWindowingHandlerPrivate*>(
267 fl_windowing_handler_get_instance_private(self));
268
269 g_weak_ref_init(&priv->engine, engine);
270 priv->channel = fl_windowing_channel_new(
271 fl_engine_get_binary_messenger(engine), &windowing_channel_vtable, self);
272
273 return self;
274 }
fl_engine_get_binary_messenger
G_MODULE_EXPORT FlBinaryMessenger * fl_engine_get_binary_messenger(FlEngine *self)
Definition: fl_engine.cc:1414
priv
FlPixelBufferTexturePrivate * priv
Definition: fl_pixel_buffer_texture.cc:30
fl_windowing_channel_new
FlWindowingChannel * fl_windowing_channel_new(FlBinaryMessenger *messenger, FlWindowingChannelVTable *vtable, gpointer user_data)
Definition: fl_windowing_channel.cc:257
windowing_channel_vtable
static FlWindowingChannelVTable windowing_channel_vtable
Definition: fl_windowing_handler.cc:254
FlWindowingHandlerPrivate
Definition: fl_windowing_handler.cc:10

References fl_engine_get_binary_messenger(), fl_windowing_channel_new(), priv, and windowing_channel_vtable.

Referenced by fl_engine_new_full(), and TEST().

## ◆ G_DECLARE_DERIVABLE_TYPE()

G_BEGIN_DECLS G_DECLARE_DERIVABLE_TYPE | ( | FlWindowingHandler | ,
|  | fl_windowing_handler | ,
|  | FL | ,
|  | WINDOWING_HANDLER | ,
|  | GObject |
| ) |  |